/*
 * NegativeAmount.java
 * Created on August 16, 2002, 3:03 PM
 */

package bank;

/**
 *
 * @author  mike
 */
public class NotEnoughMoneyException extends java.lang.Exception {
    private double amount = 0; // amount account was short
    AccountForTest acctTakingFrom; // Account that was short
    
    /**
     * Creates a new instance of <code>NegativeAmount</code> without detail message.
     */
    public NotEnoughMoneyException() {
    }
    
    /**
     * Constructs an instance of <code>NegativeAmount</code> with the specified detail message.
     * @param msg the detail message.
     */
    public NotEnoughMoneyException(String msg) {
        super(msg);
    }
    
    /**
     * Constructs an instance of <code>NegativeAmount</code> with the specified detail message.
     * @param msg the detail message.
     */
    public NotEnoughMoneyException(String msg, double amt) {
        super(msg);
        amount = amt;
    }
    
    /**
     * Constructs an instance of <code>NegativeAmount</code> with the specified detail message.
     * @param msg the detail message.
     */
    public NotEnoughMoneyException(String msg, AccountForTest toTakeFrom, double amt) {
        super(msg);
        amount = amt;
        acctTakingFrom = toTakeFrom;
    }
    
    /** 
     * To obtain the amount that an account was short
     */
    public double getAmount () {
        return amount;
    }
    
    /** 
     * To obtain the account that didn't have enough money
     */
    public AccountForTest getAcctTakingFrom () {
        return acctTakingFrom;
    }
}