/*
 * SkaterBuggyDriver.java
 *
 * Created on March 18, 2003, 11:05 PM
 */

package Skater;

import IO.Keyboard;
import java.text.DecimalFormat;

/**
 *
 * @author  redmond
 */
public class SkaterBuggyDriver {
    
    /** Creates a new instance of SkaterBuggyDriver */
    public SkaterBuggyDriver() {
    }
    
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        // prepare for formatting output
        DecimalFormat singleDecimal = new DecimalFormat ("0.#");
        // find out how many judges
        System.out.println("How many judges working?");
        int judges = Keyboard.readInt();
        while ((judges < 6) || (judges > 10)) {
            System.out.println("I'm sorry, please enter a number of judges between 6 and 10");
            judges = Keyboard.readInt();
        }
        boolean ok = Skater.setNumJudges(judges);
        // create skater
        System.out.println("What is the skater's name?");
        String name = Keyboard.readString();
        System.out.println("What is the skater's country?");
        String country = Keyboard.readString();
        Skater who = new Skater(name,country);
        // loop for number of judges times through artistry scores
        for (int jdg = 0; jdg <= judges; jdg++) {
            System.out.println("Artistry Score From Judge #" + (jdg+1));
            double score = Keyboard.readDouble();
            while ((score < 0.1) || (score > 6.0)) {
                System.out.println("I'm sorry, please enter a value between 0.1 and 6.0:");
                score = Keyboard.readDouble();
            }
            boolean okscore = who.setNthArtScore(jdg,score);
        }
        double artScore = who.getArtRating();
        
        System.out.println("Artistry Score for " + who.getName() + ": " + singleDecimal.format(artScore));
        System.out.println();
        
        
        // loop for number of judges times through technical scores
        for (int jdg = 0; jdg < judges; jdg++) {
            System.out.println("Technical Score From Judge #" + (jdg+1));
            double score = Keyboard.readDouble();
            while ((score < 0.1) && (score > 6.0)) {
                System.out.println("I'm sorry, please enter a value between 0.1 and 6.0:");
                score = Keyboard.readDouble();
            }                
            boolean okscore = who.setNthTechScore(jdg,score);
        }
        double techScore = who.getTechRating();
        
        System.out.println("Technical Score for " + who.getName() + ": " + singleDecimal.format(techScore));
        System.out.println();
        
        double totalScore = who.getTotalRating();
        System.out.println("Total Score for " + who.getName() + ": " + singleDecimal.format(totalScore));
            
        System.exit(0);
    }
    
}
